Bug 1867407

Summary: Review Request: R-tmvnsim - Truncated Multivariate Normal Simulation
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-23 01:03:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Elliott Sales de Andrade 2020-08-09 19:44:27 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-tmvnsim/R-tmvnsim.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-tmvnsim/R-tmvnsim-1.0.2-1.fc31.src.rpm

Description:
Importance sampling from the truncated multivariate normal using the GHK
(Geweke-Hajivassiliou-Keane) simulator. Unlike Gibbs sampling which can get
stuck in one truncation sub-region depending on initial values, this package
allows truncation based on disjoint regions that are created by truncation of
absolute values. The GHK algorithm uses simple Cholesky transformation followed
by recursive simulation of univariate truncated normals hence there are also no
convergence issues. Importance sample is returned along with sampling weights,
based on which, one can calculate integrals over truncated regions for
multivariate normals.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48980010

Comment 1 José Matos 2020-08-10 11:53:50 UTC
The spec file is sane. The license is correct and the package builds and
install in rawhide.

The package is approved.

Comment 2 Gwyn Ciesla 2020-08-11 12:56:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-tmvnsim

Comment 3 Fedora Update System 2020-08-14 09:59:28 UTC
FEDORA-2020-b8ad4ed7ef has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b8ad4ed7ef

Comment 4 Fedora Update System 2020-08-14 10:01:38 UTC
FEDORA-2020-aae3af1953 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-aae3af1953

Comment 5 Fedora Update System 2020-08-15 01:14:13 UTC
FEDORA-2020-b8ad4ed7ef has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b8ad4ed7ef \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b8ad4ed7ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-15 01:52:35 UTC
FEDORA-2020-aae3af1953 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-aae3af1953`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-aae3af1953

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-23 01:03:29 UTC
FEDORA-2020-aae3af1953 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-23 01:21:05 UTC
FEDORA-2020-b8ad4ed7ef has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.